> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a collection

> Creates a collection. The slug is generated from the name and is unique within
the workspace.



## OpenAPI

````yaml /api-reference/openapi.json post /recall/collections
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/collections:
    post:
      tags:
        - Recall
      summary: Create a collection
      description: >-
        Creates a collection. The slug is generated from the name and is unique
        within

        the workspace.
      operationId: v1.recall.collections.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCollectionRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      slug:
                        type: string
                      name:
                        type: string
                      documents_count:
                        anyOf:
                          - type: integer
                          - type: integer
                            minimum: 0
                    required:
                      - slug
                      - name
                      - documents_count
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreCollectionRequest:
      type: object
      description: Validates create/update of a Recall collection.
      properties:
        name:
          type: string
          maxLength: 120
      required:
        - name
      title: StoreCollectionRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````